#include <bits/stdc++.h>
using namespace std;
const long long INF = 1000000009;
const long long MOD = 1000000007;
typedef long long ll;
typedef pair<ll,ll> pll;
typedef vector<ll> vect;
typedef vector<pair<ll,ll>> vll;
ll t,n,m,ind1,ind2,row,x,q;
set<ll> se;
map<ll,ll> mapl;
string s;
int main()
{ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    cin >> s;
    cin >> q;
    ll l,r;
    for(int i=1;i<=q;i++){
        cin >> l >> r;
        l--;r--;
        ll ans=0;
        for(int j=l+1;j<=r;j++){
            if(s[j] < s[j-1]) ans++;
        }
        cout << ans+1 << endl;
    }
}




